测试 Test-ST # 113422 (New): V4.0专项--AF专项--monkey测试

【AF】【EVT3】【Monkey】127版本Monkey测试67小时后异常停止，设备进入激活页面
2023-07-31 16:46 - CD TEST-方永红

Status: ASSIGNED Start date: 2023-07-31

Priority: High Due date:

Assignee: CD FW-廖涛 % Done: 0%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 0127

Resolution: -- Degrated: --

Severity: Critical Verified Version:

Reproducibility: Rarely Fixed Version:

Test Type: Monkey Test Root cause:

Description

【测试版本】

0127

【测试情况】

127版本Monkey测试67小时后异常停止，设备进入激活页面

History

#1 - 2023-07-31 16:59 - CD TEST-方永红

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/127_731_022/Device5

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/127_81_023/Device5-127

#2 - 2023-08-02 16:14 - CD FW 曹覃刚

- Status changed from New to ASSIGNED

- Assignee changed from CD FW 曹覃刚 to CD FW-廖涛

#3 - 2023-08-02 17:58 - CD FW-廖涛

■ Current conclusion

从日志看，是 system_server 存在内存溢出，然后挂掉了，系统服务被重启，Monkey 停止，进入了激活引导页面。由于是通过工厂模式跳过的激活，所以

进入激活引导页面属于正常。

11-29 09:09:05.547  1508  7981 I system_server: Clamp target GC heap from 531MB to 512MB

11-29 09:09:05.547  1508  7981 I system_server: Alloc concurrent copying GC freed 7133(287KB) AllocSpace objects, 0(0B) LOS objects, 0% free, 507MB/512MB, paused

4.445ms,65us total 1.961s

11-29 09:09:05.547  1508  7981 W system_server: Throwing OutOfMemoryError "Failed to allocate a 180504 byte allocation with 4910248 free bytes and 4795KB until

OOM, target footprint 536870912, growth limit 536870912; giving up on allocation because <1% of heap free after GC." (VmSize 20863240 kB)

11-29 09:09:05.550  1508  7981 E JavaBinder: * Uncaught remote exception!  (Exceptions are not yet supported across processes.)

11-29 09:09:05.550  1508  7981 E JavaBinder: java.lang.OutOfMemoryError: Failed to allocate a 180504 byte allocation with 4910248 free bytes and 4795KB until OOM,

target footprint 536870912, growth limit 536870912; giving up on allocation because <1% of heap free after GC.

11-29 09:09:05.550  1508  7981 E JavaBinder:     at android.util.ArraySet.allocArrays(ArraySet.java:241)

11-29 09:09:05.550  1508  7981 E JavaBinder:     at android.util.ArraySet.ensureCapacity(ArraySet.java:372)

11-29 09:09:05.550  1508  7981 E JavaBinder:     at android.util.ArraySet.addAll(ArraySet.java:552)
11-29 09:09:05.550  1508  7981 E JavaBinder:     at com.android.server.wm.TaskSnapshotController.addSkipClosingAppSnapshotTasks(TaskSnapshotController.java:171)

11-29 09:09:05.550  1508  7981 E JavaBinder:     at com.android.server.wm.ActivityRecord.finishIfPossible(ActivityRecord.java:3086)

11-29 09:09:05.550  1508  7981 E JavaBinder:     at com.android.server.wm.ActivityClientController.finishActivity(ActivityClientController.java:476)

11-29 09:09:05.550  1508  7981 E JavaBinder:     at android.app.IActivityClientController$Stub.onTransact(IActivityClientController.java:711)

11-29 09:09:05.550  1508  7981 E JavaBinder:     at com.android.server.wm.ActivityClientController.onTransact(ActivityClientController.java:134)

11-29 09:09:05.550  1508  7981 E JavaBinder:     at android.os.Binder.execTransactInternal(Binder.java:1179)

11-29 09:09:05.550  1508  7981 E JavaBinder:     at android.os.Binder.execTransact(Binder.java:1143)

11-29 09:09:05.550  1508  7981 E AndroidRuntime: * FATAL EXCEPTION IN SYSTEM PROCESS: Binder:1508_17

11-29 09:09:05.550  1508  7981 E AndroidRuntime: java.lang.OutOfMemoryError: Failed to allocate a 180504 byte allocation with 4910248 free bytes and 4795KB until

OOM, target footprint 536870912, growth limit 536870912; giving up on allocation because <1% of heap free after GC.

11-29 09:09:05.550  1508  7981 E AndroidRuntime:     at android.util.ArraySet.allocArrays(ArraySet.java:241)

11-29 09:09:05.550  1508  7981 E AndroidRuntime:     at android.util.ArraySet.ensureCapacity(ArraySet.java:372)

11-29 09:09:05.550  1508  7981 E AndroidRuntime:     at android.util.ArraySet.addAll(ArraySet.java:552)

11-29 09:09:05.550  1508  7981 E AndroidRuntime:     at

com.android.server.wm.TaskSnapshotController.addSkipClosingAppSnapshotTasks(TaskSnapshotController.java:171)

11-29 09:09:05.550  1508  7981 E AndroidRuntime:     at com.android.server.wm.ActivityRecord.finishIfPossible(ActivityRecord.java:3086)

11-29 09:09:05.550  1508  7981 E AndroidRuntime:     at com.android.server.wm.ActivityClientController.finishActivity(ActivityClientController.java:476)

11-29 09:09:05.550  1508  7981 E AndroidRuntime:     at android.app.IActivityClientController$Stub.onTransact(IActivityClientController.java:711)

11-29 09:09:05.550  1508  7981 E AndroidRuntime:     at com.android.server.wm.ActivityClientController.onTransact(ActivityClientController.java:134)

11-29 09:09:05.550  1508  7981 E AndroidRuntime:     at android.os.Binder.execTransactInternal(Binder.java:1179)

11-29 09:09:05.550  1508  7981 E AndroidRuntime:     at android.os.Binder.execTransact(Binder.java:1143)

11-29 09:09:05.550  1508  7981 I am_crash: [11066,0,system_server,-1,java.lang.OutOfMemoryError,Failed to allocate a 180504 byte allocation with 4910248 free bytes and

4795KB until OOM, target footprint 536870912, growth limit 536870912; giving up on allocation because <1% of heap free after GC.,ArraySet.java,241]

11-29 09:09:05.550  1508  7981 I DropBoxManagerService: add tag=system_server_crash isTagEnabled=true flags=0x2

■ Next action

分析 system_server 内存溢出的原因。本地跑 Monkey 尝试复现以及查看 system_server 的内存占用情况。

#4 - 2023-08-04 16:25 - CD FW-廖涛

■ Current conclusion

1. 添加 heap 文件 dump 逻辑；

2. 本地测试；

■ Next action

编译 VB 在出现问题的设备上跑测复现，待复现后通过 heap dump 文件分析问题原因。
